MLAGAN(1)

NAME
mlagan - highly parametrizable pairwise global aligner

SYNOPSIS
mlagan seqfile_1 seqfile_2 [... seqfile_63] [-parameters]

DESCRIPTION
Lagan takes local alignments generated by CHAOS as anchors, and limits the search area of the Needleman-Wunsch algorithm around these anchors.

Multi-LAGAN is a generalization of the pairwise algorithm to multiple sequence alignment. M-LAGAN performs progressive pairwise alignments, guided by a user-specified phylogenetic tree. Alignments are aligned to other alignments using the sum-of-pairs metric.

OPTIONS

-nested : runs improvement in a nested fashion

-postir : incorporates the final improvement phase

-lazy : uses lazy mode

-translate : use translated anchors

-fastreject : use fast rejection (tuned for human/mouse or closer)

-verbose : give debug output

-tree "(...)" : runs with given phylogenetic tree

-out "filename": outputs to filename

-nucmatrixfile "filename": uses given substitution matrix instead of $LAGAN_DIR/nucmatrix.txt

-version : prints version info

-nested : runs improvement in a nested fashion

-postir : incorporates the final improvement phase

-lazy : uses lazy mode

-translate : use translated anchors

-fastreject : use fast rejection (tuned for human/mouse or closer)

-verbose : give debug output

-tree "(...)" : runs with given phylogenetic tree

-out "filename": outputs to filename

-nucmatrixfile "filename": uses given substitution matrix instead of $LAGAN_DIR/nucmatrix.txt

-version : prints version info

ENVIRONMENT
The LAGAN_DIR variable specifies the location of the nucmatrix file. It defaults to /usr/lib/lagan, where Debian also place that file.